### Function

# PapersDocument Document misc_get_widget_dpi

#### Declaration [src]

    gdouble
    pps_document_misc_get_widget_dpi (
      GtkWidget* widget
    )

#### Description [src]

Returns sensible guess for DPI of monitor on which given widget has been realized. If HiDPI display, use 192, else 96. Returns 96 as fallback value.

#### Parameters

`widget`

  Type: `GtkWidget`

  A `GtkWidget`.

  The data is owned by the caller of the function.

#### Return value

Type: `gdouble`

DPI as gdouble.